VeritasVMDisk (CMDB Model API)
Keywords: com.collation.platform.model.topology.dev.veritas.VeritasVMDisk interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.dev.veritas
Interface VeritasVMDisk

All Superinterfaces:
  LogicalDevice, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, StorageExtent

    public interface VeritasVMDisk

extends StorageExtent

When a physical disk is controlled by Veritas Volume Manager it has assigned virtual object called VM Disk. There is one-to-one correspondence between physical disks and VM disks.

Naming Rules:
  0="mediaDevice"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`VeritasDiskGroup` | `getDiskGroup()`
`MediaAccessDevice` | `getMediaDevice()`
`int` | `getState()` The state of the disk specifing if it is (and how is) available to Veritas Volume Manager or other Storage Managers.
`VeritasSubdisk[]` | `getSubdisks()`
`boolean` | `hasDiskGroup()`
`boolean` | `hasMediaDevice()`
`boolean` | `hasState()`
`boolean` | `hasSubdisks()`
`void` | `setDiskGroup(VeritasDiskGroup x)`
`void` | `setMediaDevice(MediaAccessDevice x)`
`void` | `setState(int x)`
`void` | `setSubdisks(VeritasSubdisk[] x)`

Methods inherited from interface com.collation.platform.model.topology.dev.StorageExtent
`getBasedOn, getBlockSize, getCapacity, getController, getDeviceID, getFreeSpace, getName, getNumOfBlocks, getParent, getRealizedBy, getVirtual, hasBasedOn, hasBlockSize, hasCapacity, hasController, hasDeviceID, hasFreeSpace, hasName, hasNumOfBlocks, hasParent, hasRealizedBy, hasVirtual, setBasedOn, setBlockSize, setCapacity, setController, setDeviceID, setFreeSpace, setName, setNumOfBlocks, setParent, setRealizedBy, setVirtual`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getMediaDevice

    MediaAccessDevice getMediaDevice()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.AssignedTo" reverse="false"

### setMediaDevice

    void setMediaDevice(MediaAccessDevice x)

### hasMediaDevice

    boolean hasMediaDevice()

### getDiskGroup

    VeritasDiskGroup getDiskGroup()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setDiskGroup

    void setDiskGroup(VeritasDiskGroup x)

### hasDiskGroup

    boolean hasDiskGroup()

### getSubdisks

    VeritasSubdisk[] getSubdisks()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BasedOn" reverse="true"

### setSubdisks

    void setSubdisks(VeritasSubdisk[] x)

### hasSubdisks

    boolean hasSubdisks()

### getState

    int getState()
                 throws AttributeNotSetException

  The state of the disk specifing if it is (and how is) available to Veritas Volume Manager or other Storage Managers.

  Throws:
    `AttributeNotSetException`

### setState

    void setState(int x)

### hasState

    boolean hasState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD